<?php

add_action( 'widgets_init', function(){

    register_widget( 'Torofilm_movies_annee' );

});

class Torofilm_movies_annee extends WP_Widget {

    #Sets up the widgets name etc

    public function __construct() {

        $widget_ops = array(

            'classname' => 'Torofilm_movies_annee',

            'description' => 'movies and series by year',

        );

        parent::__construct( 'Torofilm_movies_annee', 'Torofilm Years', $widget_ops );

    }

    # Display frontend

    public function widget( $argus, $instance ) {

        echo $argus['before_widget'];

        if ( ! empty( $instance['title'] ) ) {

            echo $argus['before_title'] . apply_filters( 'widget_title', $instance['title'] ). $argus['after_title'];

        } ?>

        <?php $terms = get_terms( 'annee', 'hide_empty=1' ); ?>

        <ul>

            <?php  foreach ( $terms as $term ) { ?>

                <li><a class="btn sm" href="<?php echo esc_url( get_term_link( $term ) ); ?>"><?php echo $term->name; ?></a></li>

            <?php } ?>

        </ul>

        <?php echo $argus['after_widget'];

    }

    #Parameters Form of Widget

    public function form( $instance ) {

        $title = ! empty( $instance['title'] ) ? $instance['title'] : '';

        ?>

            <p>

            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title', 'torofilm'); ?>:</label>

            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">

            </p>

        <?php

    }

    #Save Data

    public function update( $new_instance, $old_instance ) {

        // processes widget options to be saved

        foreach( $new_instance as $key => $value )

        {

            $updated_instance[$key] = sanitize_text_field($value);

        }

        return $updated_instance;

    }

}       