<?php

add_action('widgets_init', function () {

    register_widget('widget_list_news');
});

class widget_list_news extends WP_Widget
{

    #Sets up the widgets name etc

    public function __construct()
    {

        $widget_ops = array(

            'classname' => 'widget_list_news news',

            'description' => 'Widget list news',

        );

        parent::__construct('widget_list_news', 'Torofilm: List of news', $widget_ops);
    }

    # Display frontend

    public function widget($argus, $instance)
    {

        echo $argus['before_widget'];

        /* if ( ! empty( $instance['title'] ) ) {

            echo $argus['before_title'] . apply_filters( 'widget_title', $instance['title'] ). $argus['after_title'];

        }*/ ?>

        <?php

        $url    = (!empty($instance['url'])) ? $instance['url'] : false;

        $cat    = (!empty($instance['categories'])) ? $instance['categories'] : false;

        $type   = isset($instance['type']) ? (int) $instance['type'] : 1;

        $filter = (!empty($instance['filter'])) ? (int) ($instance['filter']) : 0;

        $number = (!empty($instance['number'])) ? absint($instance['number']) : 5;

        if ($type == 3) {

            $t = array('post');

            $r = 'post';
        } else {

            $t = array('post');

            $r = 'post';
        }

        if ($cat) {

            $categories = explode(',', $cat);
        } ?>
        <section class="section news">

            <header class="section-header">

                <div class="rw alg-cr jst-sb">

                    <h3 class="section-title"><?php echo $instance['title']; ?></h3>

                    <?php if ($url) { ?>

                        <ul class="rw">

                            <li><a href="<?php echo $url; ?>" class="btn lnk more fa-plus"><?php _e('View more', 'torofilm'); ?></a></li>

                        </ul>

                    <?php } ?>

                </div>

                <ul class="aa-tbs ax-tbs" data-tbs="<?php echo $this->id; ?>-aa-post">

                    <?php if (!empty($categories)) {

                        echo '<li><a class="on" data-category="" data-limit="' . $number . '" data-post="post" href="#' . $this->id . '-all">' . __('All', 'torofilm'), '</a></li>';

                        foreach ($categories as $key => $group_value) {

                            $id = $group_value;

                            $cate = get_term_by('id', $id, 'category'); ?>

                            <li><a data-mode="3" data-category="<?php echo $id; ?>" data-limit="<?php echo $number; ?>" data-post="<?php echo $r; ?>" href="#<?php echo $this->id; ?>-<?php echo $cate->name; ?>"><?php echo $cate->name; ?></a></li>

                    <?php }
                    } ?>

                </ul>

            </header>

            <div class="aa-cn" id="<?php echo $this->id; ?>-aa-post">

                <div id="<?php echo $this->id; ?>-all" class="aa-tb hdd on">

                    <ul class="post-lst rw sm rcl1 rcl2a rcl3b rcl2c rcl3d rcl4e news-lst">

                        <?php

                        if ($filter == 0) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                            );
                        } elseif ($filter == 1) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                                'orderby'             => 'title',

                                'order'               => 'ASC',

                            );
                        } elseif ($filter == 2) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                                'orderby'             => 'rand',

                            );
                        } elseif ($filter == 3) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                                'orderby'             => 'comment_count',

                                'order'               => 'DESC',

                            );
                        } elseif ($filter == 4) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                                'meta_key'            => 'views',

                                'orderby'             => 'meta_value_num',

                                'order'               => 'DESC'

                            );
                        } elseif ($filter == 5) {

                            $args = array(

                                'post_type'           => $t,

                                'posts_per_page'      => $number,

                                'post_status'         => 'publish',

                                'no_found_rows'       => true,

                                'ignore_sticky_posts' => true,

                                'meta_key'            => 'rating',

                                'orderby'             => 'meta_value_num',

                                'order'               => 'DESC'

                            );
                        }

                        $the_query = new WP_Query($args);

                        if ($the_query->have_posts()) :

                            while ($the_query->have_posts()) : $the_query->the_post();

                                get_template_part('public/partials/template/post', 'main');

                            endwhile;

                        else : ?>

                            <p class="no-results"><?php _e('No results found', 'torofilm'); ?></p>

                        <?php endif;
                        wp_reset_query(); ?>

                    </ul>

                </div>

                <?php if (!empty($categories)) {

                    foreach ($categories as $key => $group_value) {

                        $id = $group_value;

                        $cate = get_term_by('id', $id, 'category'); ?>

                        <div id="<?php echo $this->id; ?>-<?php echo $cate->name; ?>" class="aa-tb hdd"></div>

                <?php }
                } ?>

            </div>
        </section>

    <?php echo $argus['after_widget'];
    }

    #Parameters Form of Widget

    public function form($instance)
    {

        $title      = !empty($instance['title']) ? $instance['title'] : '';

        $number     = isset($instance['number']) ? absint($instance['number']) : 5;

        $url        = !empty($instance['url']) ? $instance['url'] : '';

        $type       = isset($instance['type']) ? (int) $instance['type'] : 1;

        $filter     = isset($instance['filter']) ? (int) $instance['filter'] : 0;

        $categories = isset($instance['categories']) ? $instance['categories'] : false;

    ?>

        <p>

            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'torofilm'); ?>:</label>

            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>">

        </p>

        <p>

            <label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of news', 'torofilm'); ?>:</label>

            <input style="width: 100px;" class="tiny-text" id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="number" step="1" min="1" value="<?php echo $number; ?>" size="3" />

        </p>

        <p>

            <label for="<?php echo $this->get_field_id('url'); ?>">URL</label>

            <input class="widefat" id="<?php echo $this->get_field_id('url'); ?>" name="<?php echo $this->get_field_name('url'); ?>" type="text" value="<?php echo esc_attr($url); ?>">

        </p>

        <p>

            <label for="<?php echo $this->get_field_id('type'); ?>"><?php _e('Type', 'torofilm'); ?></label>

            <select id="<?php echo $this->get_field_id('type'); ?>" name="<?php echo $this->get_field_name('type'); ?>">
                <option<?php selected($type, 3); ?> value="3"><?php _e('News', 'torofilm'); ?></option>
            </select>

        </p>

        <p>

            <label for="<?php echo $this->get_field_id('filter'); ?>"><?php _e('Filter by', 'torofilm'); ?></label>

            <select id="<?php echo $this->get_field_id('filter'); ?>" name="<?php echo $this->get_field_name('filter'); ?>">

                <option<?php selected($filter, 0); ?> value="0"><?php _e('Latest', 'torofilm'); ?></option>

                    <option<?php selected($filter, 1); ?> value="1"><?php _e('Title', 'torofilm'); ?></option>

                        <option<?php selected($filter, 2); ?> value="2"><?php _e('Random', 'torofilm'); ?></option>

                            <option<?php selected($filter, 3); ?> value="3"><?php _e('Comments', 'torofilm'); ?></option>

                                <option<?php selected($filter, 4); ?> value="4"><?php _e('Views', 'torofilm'); ?></option>

                                    <option<?php selected($filter, 5); ?> value="5"><?php _e('Popular', 'torofilm'); ?></option>

            </select>

        </p>

        <p class="s-cat"><?php _e('Category Filter', 'torofilm'); ?></p>

        <ul class="s-cat">

            <?php

            $ar = '';

            $ar = explode(',', $categories);

            foreach ($ar as &$value) {

                $lst[$value] = $value;
            }

            $categories = get_categories('hide_empty=0');

            foreach ($categories as $category) {

            ?>

                <li>

                    <input <?php if (isset($lst[$category->term_id])) {
                                checked($lst[$category->term_id], $category->term_id);
                            } ?> type="checkbox" class="checkbox" name="<?php echo $this->get_field_name('categories'); ?>[]" value="<?php echo $category->term_id; ?>" />

                    <label><?php echo $category->cat_name ?></label><br />

                </li>

            <?php

            }

            ?>

        </ul>

<?php

    }

    #Save Data

    public function update($new_instance, $old_instance)
    {

        // processes widget options to be saved

        foreach ($new_instance as $key => $value) {

            $updated_instance[$key] = sanitize_text_field($value);
        }

        $updated_instance['categories'] = strip_tags(implode(',', $new_instance['categories']));

        return $updated_instance;
    }
}
