<?php

#POST SINGLE

if (!function_exists('series_single')) {

    function series_single($data)
    {

        $loop               = $data['loop'];

        $term               = $data['term'];

        $term_id            = $data['term_id'];

        $year               = $loop->year_term($term);

        $serie_id           = $loop->serie_tax($term);

        $categories         = $loop->categories_term($term);

        $duration           = $loop->duration_term($term);

        $description        = $loop->description_term($term);

        $dir                = $loop->director_term($term);

        $cas                = $loop->casts_term($term);

        $rating             = $loop->rating_term($serie_id);

        $links              = tr_links_episodes($term_id);

        $links['downloads'] = !empty($links['downloads']) ? $links['downloads'] : '';

        $user_id = get_current_user_id();

        $isFavorito = get_user_meta($user_id, 'favorito-s', true);

        $id_post = $term_id;

        if ($isFavorito) {

            if (in_array($id_post, $isFavorito)) {

                $statusf = 'favorito';
                $classf = '';
            } else {
                $statusf = 'nofavorito';
                $classf = 'far';
            }
        } else {

            $statusf = 'nofavorito';

            $classf = 'far';
        }

?>

        <!-- single -->

        <article class="post single">

            <div class="dfxb alg-cr">

                <div class="post-thumbnail alg-ss">

                    <figure><?php echo tr_theme_img($serie_id, 'thumbnail', get_the_title()); ?></figure>

                </div>

                <aside class="fg1">

                    <header class="entry-header">

                        <h1 class="entry-title"><?php single_term_title(); ?></h1>

                        <div class="entry-meta">

                            <?php if ($categories) { ?>

                                <span class="genres"><?php echo $categories; ?></span><?php } ?>

                            <?php if ($duration) { ?>

                                <span class="duration fa-clock far"><?php echo $duration; ?></span><?php } ?>

                            <?php if ($year) { ?>

                                <span class="year fa-calendar far"><?php echo $year; ?></span><?php } ?>

                        </div>

                    </header>

                    <?php if ($description) { ?>

                        <div class="description">

                            <?php echo $description; ?>

                        </div><?php } ?>

                    <?php if ($dir or $cas) { ?>

                        <ul class="cast-lst dfx fwp">

                            <?php if ($dir) { ?>

                                <li>

                                    <span><?php _e('Director', 'torofilm'); ?></span>

                                    <p><?php echo $dir; ?></p>

                                </li><?php } ?>

                            <?php if ($cas) { ?>

                                <li>

                                    <span><?php _e('Cast', 'torofilm'); ?></span>

                                    <p style="color:#fff;"><?php echo $cas; ?></p>

                                </li><?php } ?>

                        </ul><?php } ?>

                </aside>

            </div>

            <footer class="dfxa jst-sb alg-cr">

                <div class="vote-cn">

                    <?php if ($rating) { ?>

                        <span class="vote fa-star"><span class="num"><?php echo get_post_meta($serie_id, 'rating', true); ?></span><span>TMDB</span></span><?php } ?>

                </div>

                <ul class="options rw rfg1 rcl0c">

                    <?php if ($links['downloads']) { ?>

                        <li><button class="btn lnk npd blk aa-mdl" data-mdl="mdl-download"><i class="fa-cloud-download-alt"></i> <span><?php _e('Download', 'torofilm'); ?></span></button></li><?php } ?>

                    <?php if (is_user_logged_in()) { ?>

                        <li><button id="add-to-favorito-s" data-id="<?php echo $term_id; ?>" data-status="<?php echo $statusf; ?>" class="btn lnk npd blk aa-mdl" data-mdl="mdl-favorites"><i class="fa-heart <?php echo $classf; ?>"></i> <span><?php _e('Favorites', 'torofilm'); ?></span></button></li><?php } ?>

                    <li class=""><button class="btn lnk npd blk aa-mdl" onclick="window.open ('http://www.facebook.com/sharer.php?u=<?php echo get_term_link($term, 'episodes'); ?>', 'Facebook', 'toolbar=0, status=0, width=650, height=450');"><i class="fa-facebook-f fab"></i><span>Facebook</span></button></li>

                    <li><button class="btn lnk npd blk aa-mdl" onclick="javascript:window.open('https://twitter.com/intent/tweet?original_referer=<?php echo get_term_link($term, 'episodes'); ?>&amp;text=<?php echo $term->name; ?>&amp;tw_p=tweetbutton&amp;url=<?php echo get_term_link($term, 'episodes'); ?>', 'Twitter', 'toolbar=0, status=0, width=650, height=450');"><i class="fa-twitter fab"></i><span>Twitter</span></button></li>

                </ul>

            </footer>

        </article>

    <?php }
}

add_action('episodes_content', 'series_single', 10);

#SECTION PLAYER

if (!function_exists('series_player')) {

    function series_player($data)
    {

        global $post;

        $if = 'iframe';

        $encrypt = get_option('player_encrypt', false);

        $advertising = get_option('player_advertising', false);

        $advertising_code = get_option('player_advertising_code', false);

        $loop            = $data['loop'];

        $term            = $data['term'];

        $term_id         = $data['term_id'];

        $trailer         = $loop->trailer($post->ID);

        $links           = tr_links_episodes($term_id);

        $links['online'] = !empty($links['online']) ? $links['online'] : ''; ?>

        <!-- player -->

        <?php if ($links['online']) { ?>

            <section class="section player dfxc jst-sb episode">

                <aside class="video-player aa-cn" id="aa-options">

                    <?php foreach ($links['online'] as $key => $online) {

                        if (!$encrypt) {

                            if ($key == 0) { ?>

                                <div id="options-<?php echo $key; ?>" class="video aa-tb anm-a hdd on">
                                    <?php if (!$advertising) { ?>
                                        <?php echo $advertising_code; ?>
                                    <?php } ?>

                                    <<?php echo $if; ?> allowfullscreen src="<?php echo esc_url(home_url('/?trembed=' . $online['i'] . '&trid=' . $term_id)) . '&trtype=2';  ?>" data-src="<?php echo esc_url(home_url('/?trembed=' . $online['i'] . '&trid=' . $term_id)) . '&trtype=2';  ?>" frameborder="0"></iframe>

                                </div>

                            <?php } else { ?>

                                <div id="options-<?php echo $key; ?>" class="video aa-tb anm-a hdd">
                                    <?php if (!$advertising) { ?>
                                        <?php echo $advertising_code; ?>
                                    <?php } ?>

                                    <<?php echo $if; ?> allowfullscreen data-src="<?php echo esc_url(home_url('/?trembed=' . $online['i'] . '&trid=' . $term_id)) . '&trtype=2';  ?>" frameborder="0"></iframe>

                                </div>

                            <?php }
                        } else {

                            if ($key == 0) { ?>

                                <div id="options-<?php echo $key; ?>" class="video aa-tb anm-a hdd on">
                                    <?php if (!$advertising) { ?>
                                        <?php echo $advertising_code; ?>
                                    <?php } ?>

                                    <<?php echo $if; ?> allowfullscreen src="<?php echo $online['link'];  ?>" data-src="<?php echo $online['link'];  ?>" frameborder="0"></iframe>

                                </div>

                            <?php } else { ?>

                                <div id="options-<?php echo $key; ?>" class="video aa-tb anm-a hdd">
                                    <?php if (!$advertising) { ?>
                                        <?php echo $advertising_code; ?>
                                    <?php } ?>

                                    <<?php echo $if; ?> allowfullscreen data-src="<?php echo $online['link'];  ?>" frameborder="0"></iframe>

                                </div>

                    <?php }
                        }
                    } ?>

                </aside>

                <aside class="video-options">

                    <div class="title hdd shwc"><?php _e('OPTIONS', 'torofilm'); ?></div>

                    <ul class="aa-tbs aa-tbs-video" data-tbs="aa-options">

                        <?php foreach ($links['online'] as $key => $online) {

                            $count = $key + 1;

                            $count = sprintf("%02d", $count);

                            //Server

                            if ($online['server']) {

                                $server_term = get_term($online['server'], 'server');
                            }

                            // lang

                            if ($online['lang']) {

                                $lang_term = get_term($online['lang'], 'language');
                            }

                            // quality

                            if ($online['quality']) {

                                $quality_term = get_term($online['quality'], 'quality');
                            }  ?>

                            <?php if ($key == 0) { ?>

                                <li><a class="btn on" href="#options-<?php echo $key; ?>"> <?php _e('OPTION ', 'torofilm'); ?> <span> <?php echo $count; ?> </span><span class="server"><?php if ($online['server']) {
                                                                                                                                                                                            echo $server_term->name;
                                                                                                                                                                                        } ?><?php if ($online['lang']) {
                                                                                                                                                                                                echo ' - ' . $lang_term->name;
                                                                                                                                                                                            } ?></span></a></li>

                            <?php } else { ?>

                                <li><a class="btn" href="#options-<?php echo $key; ?>"> <?php _e('OPTION ', 'torofilm'); ?> <span> <?php echo $count; ?> </span> <span class="server"><?php echo $server_term->name; ?> - <?php echo $lang_term->name; ?></span></a></li>

                        <?php }
                        } ?>

                    </ul>

                </aside>

            </section>

        <?php } elseif ($trailer) { ?>

            <section class="section player dfxc jst-sb episode player-trailer">

                <aside class="video-player aa-cn" id="aa-options">

                    <div class="video">

                        <?php echo htmlspecialchars_decode($trailer); ?>

                    </div>

                </aside>

            </section>

        <?php }
    }
}

add_action('episodes_content', 'series_player', 20);

# SECTION SEASON

if (!function_exists('series_episodes_ep')) {

    function series_episodes_ep($data)
    {
        $thumbs = get_option('disable_thumbs_episodes', false);

        $loop    = $data['loop'];

        $term_id = $data['term_id'];

        ?>

        <!-- episodes -->

        <section class="section episodes">

            <header class="section-header">

                <div class="aa-drp choose-season">

                    <?php $terms = get_terms(array(

                        'taxonomy'   => 'seasons',

                        'meta_key'   => 'tr_id_post',

                        'meta_value' => get_term_meta($term_id, 'tr_id_post', true)

                    )); ?>

                    <button class="btn lnk npd aa-lnk"><span><?php _e('choose season', 'torofilm'); ?></span><?php _e('Seasons', 'torofilm'); ?> <dt class="n_s" style="display: inline"><?php echo get_term_meta($term_id, 'season_number', true); ?></dt></button>

                    <ul class="aa-cnt sub-menu">

                        <?php foreach ($terms as $key => $term) {

                            echo '<li class="sel-temp"><a data-post="' . get_term_meta($term_id, 'tr_id_post', true) . '" data-season="' . get_term_meta($term->term_id, 'season_number', true) . '" href="javascript:void(0)">Season ' . get_term_meta($term->term_id, 'season_number', true) . '</a></li>';
                        } ?>

                    </ul>

                </div>

            </header>

            <ul id="episode_by_temp" class="post-lst rw sm rcl2 rcl3a rcl4b rcl3c rcl4d rcl8e eqcl">

                <?php $episodes = get_terms('episodes', array(

                    'orderby'    => 'meta_value_num',

                    'order'      => 'ASC',

                    'hide_empty' => 0,

                    'number'     => 1000,

                    'meta_query' => array(

                        'relation' => 'AND',

                        array(

                            'key'   => 'tr_id_post',

                            'value' => get_term_meta($term_id, 'tr_id_post', true)

                        ),

                        array(

                            'key'   => 'season_number',

                            'value' => get_term_meta($term_id, 'season_number', true)

                        )

                    )

                ));

                foreach ($episodes as $episode) {

                    $air_date = get_term_meta($episode->term_id, 'air_date', true);

                    $dat = strtotime($air_date); ?>

                    <li>

                        <article class="post dfx fcl episodes fa-play-circle lg">
                            <?php if (!$thumbs) { ?>
                                <div class="post-thumbnail">
                                    <figure><?php echo tr_theme_img($episode->term_id, 'episode', $episode->name, $episode->taxonomy); ?></figure>
                                    <span class="play fa-play"></span>
                                </div>
                            <?php } ?>
                            <header class="entry-header">

                                <span class="num-epi"><?php echo get_term_meta($episode->term_id, 'season_number', true); ?>x<?php echo get_term_meta($episode->term_id, 'episode_number', true); ?></span>
                                <h2 class="entry-title"><?php echo $episode->name; ?></h2>

                                <div class="entry-meta">

                                    <span class="time"><?php echo human_time_diff($dat, current_time('timestamp')) . ' ' . __('ago', 'torofilm'); ?></span>

                                </div>
                                <span class="view"><?php _e('View', 'torofilm'); ?></span>

                            </header>

                            <a href="<?php echo get_term_link($episode); ?>" class="lnk-blk"></a>

                        </article>

                    </li>

                <?php } ?>

            </ul>

        </section>

        <?php }
}

add_action('episodes_content', 'series_episodes_ep', 30);

# SECTION RECOMEND

if (!function_exists('series_recomend')) {

    function series_recomend($data)
    {

        $loop    = $data['loop'];

        $term    = $data['term'];

        $term_id = $data['term_id'];

        $title_related    = get_option('title_related_episodes', __('Recommended Series', 'torofilm'));

        $number_related   = get_option('related_episodes_number', 5);

        $disabled_related = get_option('disable_repisodes_series', false);

        if (!$disabled_related) { ?>

            <section class="section episodes">

                <header class="section-header">

                    <div class="rw alg-cr jst-sb">

                        <h3 class="section-title"><?php echo $title_related; ?></h3>

                    </div>

                </header>

                <div class="owl-carousel owl-theme carousel">

                    <?php $custom_taxterms = wp_get_object_terms(get_term_meta($term_id, 'tr_id_post', true), 'category', array('fields' => 'ids'));

                    $args = array(

                        'post_type'      => 'series',

                        'post_status'    => 'publish',

                        'posts_per_page' => $number_related,

                        'orderby'        => 'rand',

                        'tax_query'      => array(

                            array(

                                'taxonomy' => 'category',

                                'field'    => 'id',

                                'terms'    => $custom_taxterms

                            )

                        ),

                        'post__not_in' => array(get_term_meta($term_id, 'tr_id_post', true)),

                    );

                    $the_related = new WP_Query($args);

                    if ($the_related->have_posts()) :

                        while ($the_related->have_posts()) : $the_related->the_post();

                            get_template_part('public/partials/template/movies', 'related');

                        endwhile;

                    endif;

                    wp_reset_query(); ?>

                </div>

            </section>

<?php }
    }
}

add_action('episodes_content', 'series_recomend', 40);
